Index: /branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1138)
+++ /branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1139)
@@ -332,10 +332,9 @@
 #if ALIGNED_BUMPING
       Bool outputPicturesFlag = true;  
-#if NO_OUTPUT_OF_PRIOR_PICS
+
       if( m_acTDecTop[nalu.m_layerId].getNoOutputPriorPicsFlag() )
       {
         outputPicturesFlag = false;
       }
-#endif
 
       if (nalu.m_nalUnitType == NAL_UNIT_EOS) // End of sequence
@@ -351,14 +350,9 @@
 #endif
       {
-#if NO_OUTPUT_OF_PRIOR_PICS
-        if( 
-#else
-        if ( bNewPOC &&
-#endif
-           (   nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR_W_RADL
+         if(   nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR_W_RADL
             || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR_N_LP
             || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_BLA_N_LP
             || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_BLA_W_RADL
-            || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_BLA_W_LP ) )
+            || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_BLA_W_LP   )
         {
           flushAllPictures( nalu.m_layerId, outputPicturesFlag );
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1138)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1139)
@@ -3955,5 +3955,4 @@
 }
 
-#if NO_OUTPUT_OF_PRIOR_PICS
 Bool TComSlice::getBlaPicFlag       ()
 {
@@ -3962,9 +3961,10 @@
     || getNalUnitType() == NAL_UNIT_CODED_SLICE_BLA_W_LP;
 }
+
 Bool TComSlice::getCraPicFlag       ()
 {
     return getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA;
 }
-#endif
+
 #if POC_RESET_IDC_DECODER
 Bool TComSlice::getRaslPicFlag      ()
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1138)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1139)
@@ -2596,8 +2596,6 @@
 #endif
 
-#if NO_OUTPUT_OF_PRIOR_PICS
   Bool      getBlaPicFlag       ();
   Bool      getCraPicFlag       ();
-#endif
 #if POC_RESET_IDC_DECODER
   Bool      getRaslPicFlag      ();
@@ -2618,4 +2616,5 @@
 
 #endif //SVC_EXTENSION
+
 protected:
   TComPic*  xGetRefPic        (TComList<TComPic*>& rcListPic, Int poc);
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1138)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1139)
@@ -117,5 +117,4 @@
 #endif
 #define POC_RESET_INFO_INFERENCE         1      ///< JCTVC-Q0146: Infer the value of poc_reset_info_present_flag when not present
-#define NO_OUTPUT_OF_PRIOR_PICS          1      ///< Use no_output_of_prior_pics_flag
 #define REPN_FORMAT_IN_VPS               1      ///< JCTVC-N0092: Signal represenation format (spatial resolution, bit depth, colour format) in the VPS
 #define RPL_INIT_N0316_N0082             1      ///< JCTVC-N0316, JCTVC-N0082: initial reference picture list construction 
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1138)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1139)
@@ -838,5 +838,4 @@
   bNewPOC = m_apcSlicePilot->getPOC() != m_prevPOC || ( m_apcSlicePilot->getFirstSliceInPic() && m_parseIdc == -1 );
 
-#if NO_OUTPUT_OF_PRIOR_PICS
 #if NO_CLRAS_OUTPUT_FLAG
   if (m_layerId == m_smallestLayerId && m_apcSlicePilot->getRapPicFlag())
@@ -892,5 +891,4 @@
     }
   }
-#endif
 
 #if POC_RESET_IDC_DECODER
@@ -1357,4 +1355,5 @@
   if (m_bFirstSliceInPicture)
   {
+#if SVC_EXTENSION
 #if AVC_BASE
     if( m_layerId > 0 && m_parameterSetManagerDecoder.getPrefetchedVPS(0)->getNonHEVCBaseLayerFlag() )
@@ -1465,5 +1464,4 @@
 #endif
 
-#if NO_OUTPUT_OF_PRIOR_PICS
     if ( m_layerId == 0 && m_apcSlicePilot->getRapPicFlag() && getNoClrasOutputFlag() )
     {
@@ -1474,7 +1472,5 @@
       }
     }
-#endif
-
-#if SVC_EXTENSION
+
     xCheckLayerReset();
     xSetLayerInitializedFlag();