Index: branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1147)
@@ -3428,11 +3428,6 @@
 #endif
 
-#if O0098_SCALED_REF_LAYER_ID
   Int leftStartL = m_pcSlice->getPPS()->getScaledRefLayerWindowForLayer(baseColPic->getSlice(0)->getVPS()->getRefLayerId(getSlice()->getLayerId(), refLayerIdc)).getWindowLeftOffset();
   Int topStartL  = m_pcSlice->getPPS()->getScaledRefLayerWindowForLayer(baseColPic->getSlice(0)->getVPS()->getRefLayerId(getSlice()->getLayerId(), refLayerIdc)).getWindowTopOffset();
-#else
-  Int leftStartL = baseColPic->getSlice(0)->getPPS()->getScaledRefLayerWindow(refLayerIdc).getWindowLeftOffset();
-  Int topStartL  = baseColPic->getSlice(0)->getPPS()->getScaledRefLayerWindow(refLayerIdc).getWindowTopOffset();
-#endif
 
   const Window &windowRL = m_pcSlice->getPPS()->getRefLayerWindowForLayer(baseColPic->getSlice(0)->getVPS()->getRefLayerId(getSlice()->getLayerId(), refLayerIdc));
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1147)
@@ -514,9 +514,6 @@
         UInt refLayerId = m_pcVPS->getRefLayerId( m_layerId, refLayerIdc );
 
-#if O0098_SCALED_REF_LAYER_ID
         const Window &scalEL = getPPS()->getScaledRefLayerWindowForLayer(refLayerId);
-#else
-        const Window &scalEL = getPPS()->getScaledRefLayerWindow(m_interLayerPredLayerIdc[i]);
-#endif
+
         Int scalingOffset = ((scalEL.getWindowLeftOffset()   == 0 ) && 
                              (scalEL.getWindowRightOffset()  == 0 ) && 
@@ -3074,4 +3071,6 @@
 }
 
+#if SVC_EXTENSION
+
 #if VPS_EXTN_PROFILE_INFO
 Void ProfileTierLevel::copyProfileInfo(ProfileTierLevel *ptl)
@@ -3091,5 +3090,4 @@
 #endif
 
-#if O0098_SCALED_REF_LAYER_ID
 Window& TComPPS::getScaledRefLayerWindowForLayer(Int layerId)
 {
@@ -3107,7 +3105,5 @@
   return win;
 }
-#endif
-
-#if SVC_EXTENSION
+
 Window& TComPPS::getRefLayerWindowForLayer(Int layerId)
 {
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1147)
@@ -1861,7 +1861,5 @@
 #endif
   UInt     m_numRefLayerLocationOffsets;
-#if O0098_SCALED_REF_LAYER_ID
   UInt     m_refLocationOffsetLayerId[MAX_LAYERS];
-#endif
   Window   m_scaledRefLayerWindow[MAX_LAYERS];
   Window   m_refLayerWindow[MAX_LAYERS];
@@ -2024,9 +2022,9 @@
   UInt     getNumRefLayerLocationOffsets()       { return m_numRefLayerLocationOffsets; }
   Void     setNumRefLayerLocationOffsets(Int x)  { m_numRefLayerLocationOffsets = x;    }
-#if O0098_SCALED_REF_LAYER_ID
+
   UInt     getRefLocationOffsetLayerId(Int x)          { return m_refLocationOffsetLayerId[x]; }
   Void     setRefLocationOffsetLayerId(Int x, UInt id) { m_refLocationOffsetLayerId[x] = id;   }
   Window&  getScaledRefLayerWindowForLayer( Int layerId );
-#endif
+
   Window&  getScaledRefLayerWindow( Int x )   { return m_scaledRefLayerWindow[x]; }
   Window&  getRefLayerWindowForLayer( Int layerId );
Index: branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 1147)
@@ -63,9 +63,5 @@
 #endif
 
-#if O0098_SCALED_REF_LAYER_ID
   const Window &scalEL = currSlice->getPPS()->getScaledRefLayerWindowForLayer(refLayerId);
-#else
-  const Window &scalEL = currSlice->getPPS()->getScaledRefLayerWindow(refLayerIdc);
-#endif
   const Window &windowRL = currSlice->getPPS()->getRefLayerWindowForLayer(refLayerId);
 
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1147)
@@ -162,7 +162,4 @@
 #define MAX_REF_LAYERS                   7
 #endif
-
-#define O0098_SCALED_REF_LAYER_ID        1      ///< JCTVC-O0098: signal scaled reference id
-
 #define Q0165_OUTPUT_LAYER_SET           1      ///< JCTVC-Q0165: add a constraint to disallow an empty output layer set
 #define Q0165_NUM_ADD_OUTPUT_LAYER_SETS  1      ///< JCTVC-Q0165: signal num_add_olss and default_target_output_layer_idc when vps_num_layer_sets_minus1 is greater than 0
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1147)
@@ -1744,10 +1744,5 @@
 #endif
 
-#if O0098_SCALED_REF_LAYER_ID
         const Window &scalEL = pcSlice->getPPS()->getScaledRefLayerWindowForLayer(refLayerId);
-#else
-        const Window &scalEL = pcSlice->getPPS()->getScaledRefLayerWindow(refLayerIdc);
-#endif
-
         const Window &windowRL = pcSlice->getPPS()->getRefLayerWindowForLayer(pcSlice->getVPS()->getRefLayerId(m_layerId, refLayerIdc));
         Int widthBL   = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getWidth(COMPONENT_Y) - windowRL.getWindowLeftOffset() - windowRL.getWindowRightOffset();
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1147)
@@ -1387,11 +1387,6 @@
         }
 
-#if O0098_SCALED_REF_LAYER_ID
         const Window &scalEL = m_pcEncTop->getScaledRefLayerWindowForLayer(refLayerId);
-#else
-        const Window &scalEL = m_pcEncTop->getScaledRefLayerWindow(refLayerIdc);
-#endif
-
-        const Window &windowRL  = m_pcEncTop->getRefLayerWindowForLayer(pcSlice->getVPS()->getRefLayerId(m_layerId, refLayerIdc));
+        const Window &windowRL = m_pcEncTop->getRefLayerWindowForLayer(pcSlice->getVPS()->getRefLayerId(m_layerId, refLayerIdc));
         Int widthBL   = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getWidth(COMPONENT_Y) - windowRL.getWindowLeftOffset() - windowRL.getWindowRightOffset();
         Int heightBL  = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getHeight(COMPONENT_Y) - windowRL.getWindowTopOffset() - windowRL.getWindowBottomOffset();
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1147)
@@ -619,10 +619,6 @@
         for(UInt i = 0; i < m_cVPS.getNumDirectRefLayers( m_layerId ); i++ )
         {
-#if O0098_SCALED_REF_LAYER_ID
           const Window scalEL = getPPS()->getScaledRefLayerWindowForLayer(m_cVPS.getRefLayerId(m_layerId, i));
-#else
-          const Window scalEL = getPPS()->getScaledRefLayerWindow(i);
-#endif
-          const Window altRL  = getPPS()->getRefLayerWindowForLayer(m_cVPS.getRefLayerId(m_layerId, i));
+          const Window altRL = getPPS()->getRefLayerWindowForLayer(m_cVPS.getRefLayerId(m_layerId, i));
           Bool equalOffsets = scalEL.hasEqualOffset(altRL);
           Bool zeroPhase = getPPS()->hasZeroResamplingPhase(m_cVPS.getRefLayerId(m_layerId, i));
@@ -689,10 +685,6 @@
         for(UInt i = 0; i < m_cVPS.getNumDirectRefLayers( m_layerId ); i++ )
         {
-#if O0098_SCALED_REF_LAYER_ID
           const Window scalEL = getPPS()->getScaledRefLayerWindowForLayer(m_cVPS.getRefLayerId(m_layerId, i));
-#else
-          const Window scalEL = getPPS()->getScaledRefLayerWindow(i);
-#endif
-          const Window altRL  = getPPS()->getRefLayerWindowForLayer(m_cVPS.getRefLayerId(m_layerId, i));
+          const Window altRL = getPPS()->getRefLayerWindowForLayer(m_cVPS.getRefLayerId(m_layerId, i));
           Bool equalOffsets = scalEL.hasEqualOffset(altRL);
           Bool zeroPhase = getPPS()->hasZeroResamplingPhase(m_cVPS.getRefLayerId(m_layerId, i));
@@ -1074,7 +1066,5 @@
   for(Int i = 0; i < m_cPPS.getNumRefLayerLocationOffsets(); i++)
   {
-#if O0098_SCALED_REF_LAYER_ID
     m_cPPS.setRefLocationOffsetLayerId(i, m_refLocationOffsetLayerId[i]);
-#endif
     m_cPPS.getScaledRefLayerWindow(i) = m_scaledRefLayerWindow[i];
     m_cPPS.getRefLayerWindow(i) = m_refLayerWindow[i];
@@ -1560,5 +1550,4 @@
 #endif
 
-#if O0098_SCALED_REF_LAYER_ID
 Window& TEncTop::getScaledRefLayerWindowForLayer(Int layerId)
 {
@@ -1592,5 +1581,4 @@
   return win;
 }
-#endif
 #endif //SVC_EXTENSION
 //! \}
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 1146)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 1147)
@@ -123,7 +123,5 @@
 #endif
   UInt                    m_numRefLayerLocationOffsets;
-#if O0098_SCALED_REF_LAYER_ID
   UInt                    m_refLocationOffsetLayerId[MAX_LAYERS];
-#endif
   Window                  m_scaledRefLayerWindow[MAX_LAYERS];
   UInt                    m_numRefLayerOffsets;
@@ -210,46 +208,44 @@
   /// encode several number of pictures until end-of-sequence
 #if SVC_EXTENSION
-  Void      setLayerEnc(TEncTop** p)            { m_ppcTEncTop = p;                  }
-  TEncTop** getLayerEnc()                       { return m_ppcTEncTop;               }
-  Int       getPOCLast            ()            { return m_iPOCLast;                 }
-  Int       getNumPicRcvd         ()            { return m_iNumPicRcvd;              }
-  Void      setNumPicRcvd         ( Int num )   { m_iNumPicRcvd = num;               }
-  Void      setNumRefLayerLocationOffsets(Int x)  { m_numRefLayerLocationOffsets = x;    }
-  UInt      getNumRefLayerLocationOffsets()       { return m_numRefLayerLocationOffsets; }
-#if O0098_SCALED_REF_LAYER_ID
-  Void      setRefLocationOffsetLayerId(Int x, UInt id) { m_refLocationOffsetLayerId[x] = id;   }
-  UInt      getRefLocationOffsetLayerId(Int x)          { return m_refLocationOffsetLayerId[x]; }
+  Void      setLayerEnc(TEncTop** p)                          { m_ppcTEncTop = p;                  }
+  TEncTop** getLayerEnc()                                     { return m_ppcTEncTop;               }
+  Int       getPOCLast()                                      { return m_iPOCLast;                 }
+  Int       getNumPicRcvd()                                   { return m_iNumPicRcvd;              }
+  Void      setNumPicRcvd( Int num )                          { m_iNumPicRcvd = num;               }
+  Void      setNumRefLayerLocationOffsets(Int x)              { m_numRefLayerLocationOffsets = x;    }
+  UInt      getNumRefLayerLocationOffsets()                   { return m_numRefLayerLocationOffsets; }
+  Void      setRefLocationOffsetLayerId(Int x, UInt id)       { m_refLocationOffsetLayerId[x] = id;   }
+  UInt      getRefLocationOffsetLayerId(Int x)                { return m_refLocationOffsetLayerId[x]; }
   Window&   getScaledRefLayerWindowForLayer(Int layerId);
-#endif
-  Window&   getScaledRefLayerWindow(Int x)                 { return m_scaledRefLayerWindow[x];        }
-  Void      setNumRefLayerOffsets(Int x) { m_numRefLayerOffsets = x; }
-  UInt      getNumRefLayerOffsets() { return m_numRefLayerOffsets; }
-  Void      setRefLayerId(Int layerIdx, UInt layerId)     { m_refLayerId[layerIdx] = layerId;  }
-  UInt      getRefLayerId(Int layerIdx)                   { return m_refLayerId[layerIdx];     }
+  Window&   getScaledRefLayerWindow(Int x)                    { return m_scaledRefLayerWindow[x];  }
+  Void      setNumRefLayerOffsets(Int x)                      { m_numRefLayerOffsets = x;          }
+  UInt      getNumRefLayerOffsets()                           { return m_numRefLayerOffsets;       }
+  Void      setRefLayerId(Int layerIdx, UInt layerId)         { m_refLayerId[layerIdx] = layerId;  }
+  UInt      getRefLayerId(Int layerIdx)                       { return m_refLayerId[layerIdx];     }
   Window&   getRefLayerWindowForLayer(Int layerId);
-  Window&   getRefLayerWindow(Int x)            { return m_refLayerWindow[x]; }
-  Bool      getScaledRefLayerOffsetPresentFlag(Int x) { return m_scaledRefLayerOffsetPresentFlag[x]; }
+  Window&   getRefLayerWindow(Int x)                          { return m_refLayerWindow[x]; }
+  Bool      getScaledRefLayerOffsetPresentFlag(Int x)         { return m_scaledRefLayerOffsetPresentFlag[x]; }
   Void      setScaledRefLayerOffsetPresentFlag(Int x, Bool b) { m_scaledRefLayerOffsetPresentFlag[x] = b; }
-  Bool      getRefRegionOffsetPresentFlag(Int x) { return m_refRegionOffsetPresentFlag[x]; }
-  Void      setRefRegionOffsetPresentFlag(Int x, Bool b) { m_refRegionOffsetPresentFlag[x] = b; }
-  Int       getPhaseHorLuma(Int x) { return m_phaseHorLuma[x]; }
-  Int       getPhaseVerLuma(Int x) { return m_phaseVerLuma[x]; }
-  Int       getPhaseHorChroma(Int x) { return m_phaseHorChroma[x]; }
-  Int       getPhaseVerChroma(Int x) { return m_phaseVerChroma[x]; }
-  Void      setPhaseHorLuma(Int x, Int val) { m_phaseHorLuma[x] = val; }
-  Void      setPhaseVerLuma(Int x, Int val) { m_phaseVerLuma[x] = val; }
-  Void      setPhaseHorChroma(Int x, Int val) { m_phaseHorChroma[x] = val; }
-  Void      setPhaseVerChroma(Int x, Int val) { m_phaseVerChroma[x] = val; }
-  Bool      getResamplePhaseSetPresentFlag(Int x) { return m_resamplePhaseSetPresentFlag[x]; }
-  Void      setResamplePhaseSetPresentFlag(Int x, Bool b) { m_resamplePhaseSetPresentFlag[x] = b; }
-
-  TComPic** getIlpList() { return m_cIlpPic; }
+  Bool      getRefRegionOffsetPresentFlag(Int x)              { return m_refRegionOffsetPresentFlag[x]; }
+  Void      setRefRegionOffsetPresentFlag(Int x, Bool b)      { m_refRegionOffsetPresentFlag[x] = b; }
+  Int       getPhaseHorLuma(Int x)                            { return m_phaseHorLuma[x]; }
+  Int       getPhaseVerLuma(Int x)                            { return m_phaseVerLuma[x]; }
+  Int       getPhaseHorChroma(Int x)                          { return m_phaseHorChroma[x]; }
+  Int       getPhaseVerChroma(Int x)                          { return m_phaseVerChroma[x]; }
+  Void      setPhaseHorLuma(Int x, Int val)                   { m_phaseHorLuma[x] = val; }
+  Void      setPhaseVerLuma(Int x, Int val)                   { m_phaseVerLuma[x] = val; }
+  Void      setPhaseHorChroma(Int x, Int val)                 { m_phaseHorChroma[x] = val; }
+  Void      setPhaseVerChroma(Int x, Int val)                 { m_phaseVerChroma[x] = val; }
+  Bool      getResamplePhaseSetPresentFlag(Int x)             { return m_resamplePhaseSetPresentFlag[x]; }
+  Void      setResamplePhaseSetPresentFlag(Int x, Bool b)     { m_resamplePhaseSetPresentFlag[x] = b; }
+
+  TComPic** getIlpList()                                      { return m_cIlpPic; }
 #if REF_IDX_MFM
-  Void      setMFMEnabledFlag       (Bool flag)   { m_bMFMEnabledFlag = flag; }
-  Bool      getMFMEnabledFlag()                   { return m_bMFMEnabledFlag; }    
+  Void      setMFMEnabledFlag(Bool flag)                      { m_bMFMEnabledFlag = flag; }
+  Bool      getMFMEnabledFlag()                               { return m_bMFMEnabledFlag; }    
 #endif
 #if O0194_WEIGHTED_PREDICTION_CGS
-  Void      setInterLayerWeightedPredFlag(Bool flag)   { m_interLayerWeightedPredFlag = flag; }
-  Bool      getInterLayerWeightedPredFlag()            { return m_interLayerWeightedPredFlag; }
+  Void      setInterLayerWeightedPredFlag(Bool flag)          { m_interLayerWeightedPredFlag = flag; }
+  Bool      getInterLayerWeightedPredFlag()                   { return m_interLayerWeightedPredFlag; }
 #endif
   Void      encode    ( TComPicYuv* pcPicYuvOrg, const InputColourSpaceConversion snrCSC, TComList<TComPicYuv*>& rcListPicYuvRecOut, std::list<AccessUnit>& accessUnitsOut, Int iPicIdInGOP );