Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1147)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1148)
@@ -190,5 +190,5 @@
 Void TAppEncCfg::destroy()
 {
-#if VPS_EXTN_DIRECT_REF_LAYERS
+#if SVC_EXTENSION
   for(Int layer = 0; layer < MAX_LAYERS; layer++)
   {
@@ -768,7 +768,7 @@
 #endif
 #if AUXILIARY_PICTURES
-  Int*     cfg_auxId               [MAX_LAYERS];
-#endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+  Int*    cfg_auxId[MAX_LAYERS];
+#endif
+
   Int*    cfg_numSamplePredRefLayers  [MAX_LAYERS];
   string  cfg_samplePredRefLayerIds   [MAX_LAYERS];
@@ -780,38 +780,38 @@
   string  cfg_predLayerIds       [MAX_LAYERS];
   string* cfg_predLayerIdsPtr    [MAX_LAYERS];
-#endif
-  string    cfg_refLocationOffsetLayerId [MAX_LAYERS];
-  string    cfg_scaledRefLayerLeftOffset [MAX_LAYERS];
-  string    cfg_scaledRefLayerTopOffset [MAX_LAYERS];
-  string    cfg_scaledRefLayerRightOffset [MAX_LAYERS];
-  string    cfg_scaledRefLayerBottomOffset [MAX_LAYERS];
-  Int*      cfg_numRefLayerLocationOffsets[MAX_LAYERS];
-  string    cfg_scaledRefLayerOffsetPresentFlag [MAX_LAYERS];
-  string    cfg_refRegionOffsetPresentFlag      [MAX_LAYERS];
-  string    cfg_refRegionLeftOffset   [MAX_LAYERS];
-  string    cfg_refRegionTopOffset    [MAX_LAYERS];
-  string    cfg_refRegionRightOffset  [MAX_LAYERS];
-  string    cfg_refRegionBottomOffset [MAX_LAYERS];
-  string    cfg_resamplePhaseSetPresentFlag [MAX_LAYERS];
-  string    cfg_phaseHorLuma   [MAX_LAYERS];
-  string    cfg_phaseVerLuma   [MAX_LAYERS];
-  string    cfg_phaseHorChroma [MAX_LAYERS];
-  string    cfg_phaseVerChroma [MAX_LAYERS];
-  string*    cfg_refLocationOffsetLayerIdPtr   [MAX_LAYERS];
-  string*    cfg_scaledRefLayerLeftOffsetPtr   [MAX_LAYERS];
-  string*    cfg_scaledRefLayerTopOffsetPtr    [MAX_LAYERS];
-  string*    cfg_scaledRefLayerRightOffsetPtr  [MAX_LAYERS];
-  string*    cfg_scaledRefLayerBottomOffsetPtr [MAX_LAYERS];
-  string*    cfg_scaledRefLayerOffsetPresentFlagPtr [MAX_LAYERS];
-  string*    cfg_refRegionOffsetPresentFlagPtr      [MAX_LAYERS];
-  string*    cfg_refRegionLeftOffsetPtr   [MAX_LAYERS];
-  string*    cfg_refRegionTopOffsetPtr    [MAX_LAYERS];
-  string*    cfg_refRegionRightOffsetPtr  [MAX_LAYERS];
-  string*    cfg_refRegionBottomOffsetPtr [MAX_LAYERS];
-  string*    cfg_resamplePhaseSetPresentFlagPtr [MAX_LAYERS];
-  string*    cfg_phaseHorLumaPtr   [MAX_LAYERS];
-  string*    cfg_phaseVerLumaPtr   [MAX_LAYERS];
-  string*    cfg_phaseHorChromaPtr [MAX_LAYERS];
-  string*    cfg_phaseVerChromaPtr [MAX_LAYERS];
+
+  string  cfg_refLocationOffsetLayerId [MAX_LAYERS];
+  string  cfg_scaledRefLayerLeftOffset [MAX_LAYERS];
+  string  cfg_scaledRefLayerTopOffset [MAX_LAYERS];
+  string  cfg_scaledRefLayerRightOffset [MAX_LAYERS];
+  string  cfg_scaledRefLayerBottomOffset [MAX_LAYERS];
+  Int*    cfg_numRefLayerLocationOffsets[MAX_LAYERS];
+  string  cfg_scaledRefLayerOffsetPresentFlag [MAX_LAYERS];
+  string  cfg_refRegionOffsetPresentFlag      [MAX_LAYERS];
+  string  cfg_refRegionLeftOffset   [MAX_LAYERS];
+  string  cfg_refRegionTopOffset    [MAX_LAYERS];
+  string  cfg_refRegionRightOffset  [MAX_LAYERS];
+  string  cfg_refRegionBottomOffset [MAX_LAYERS];
+  string  cfg_resamplePhaseSetPresentFlag [MAX_LAYERS];
+  string  cfg_phaseHorLuma   [MAX_LAYERS];
+  string  cfg_phaseVerLuma   [MAX_LAYERS];
+  string  cfg_phaseHorChroma [MAX_LAYERS];
+  string  cfg_phaseVerChroma [MAX_LAYERS];
+  string* cfg_refLocationOffsetLayerIdPtr   [MAX_LAYERS];
+  string* cfg_scaledRefLayerLeftOffsetPtr   [MAX_LAYERS];
+  string* cfg_scaledRefLayerTopOffsetPtr    [MAX_LAYERS];
+  string* cfg_scaledRefLayerRightOffsetPtr  [MAX_LAYERS];
+  string* cfg_scaledRefLayerBottomOffsetPtr [MAX_LAYERS];
+  string* cfg_scaledRefLayerOffsetPresentFlagPtr [MAX_LAYERS];
+  string* cfg_refRegionOffsetPresentFlagPtr      [MAX_LAYERS];
+  string* cfg_refRegionLeftOffsetPtr   [MAX_LAYERS];
+  string* cfg_refRegionTopOffsetPtr    [MAX_LAYERS];
+  string* cfg_refRegionRightOffsetPtr  [MAX_LAYERS];
+  string* cfg_refRegionBottomOffsetPtr [MAX_LAYERS];
+  string* cfg_resamplePhaseSetPresentFlagPtr [MAX_LAYERS];
+  string* cfg_phaseHorLumaPtr   [MAX_LAYERS];
+  string* cfg_phaseVerLumaPtr   [MAX_LAYERS];
+  string* cfg_phaseHorChromaPtr [MAX_LAYERS];
+  string* cfg_phaseVerChromaPtr [MAX_LAYERS];
 
 #if RC_SHVC_HARMONIZATION
@@ -881,5 +881,5 @@
     cfg_uiQuadtreeTUMaxDepthIntra[layer] = &m_acLayerCfg[layer].m_uiQuadtreeTUMaxDepthIntra;
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
     cfg_numSamplePredRefLayers  [layer] = &m_acLayerCfg[layer].m_numSamplePredRefLayers;
     cfg_samplePredRefLayerIdsPtr[layer] = &cfg_samplePredRefLayerIds[layer];
@@ -887,6 +887,6 @@
     cfg_motionPredRefLayerIdsPtr[layer] = &cfg_motionPredRefLayerIds[layer];
     cfg_numActiveRefLayers  [layer] = &m_acLayerCfg[layer].m_numActiveRefLayers;
-    cfg_predLayerIdsPtr     [layer]  = &cfg_predLayerIds[layer];
-#endif
+    cfg_predLayerIdsPtr     [layer] = &cfg_predLayerIds[layer];
+
     cfg_numRefLayerLocationOffsets [layer] = &m_acLayerCfg[layer].m_numRefLayerLocationOffsets;
     cfg_waveFrontSynchro[layer]  = &m_acLayerCfg[layer].m_waveFrontSynchro;
@@ -1054,5 +1054,5 @@
 #endif
   ("LayerId%d",                                     cfg_layerId,                                -1, MAX_LAYERS,  "Layer id")
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   ("NumSamplePredRefLayers%d",                      cfg_numSamplePredRefLayers,                 -1, MAX_LAYERS, "Number of sample prediction reference layers")
   ("SamplePredRefLayerIds%d",                       cfg_samplePredRefLayerIdsPtr,       string(""), MAX_LAYERS, "sample pred reference layer IDs")
@@ -1061,5 +1061,5 @@
   ("NumActiveRefLayers%d",                          cfg_numActiveRefLayers,                     -1, MAX_LAYERS, "Number of active reference layers")
   ("PredLayerIds%d",                                cfg_predLayerIdsPtr,                string(""), MAX_LAYERS, "inter-layer prediction layer IDs")
-#endif
+
   ("NumLayers",                                     m_numLayers,                                             1, "Number of layers to code")  
 #if Q0078_ADD_LAYER_SETS
@@ -2334,9 +2334,5 @@
       }
     }
-  }
-
-#if VPS_EXTN_DIRECT_REF_LAYERS
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
+
     Char* pSamplePredRefLayerIds = cfg_samplePredRefLayerIds[layer].empty() ? NULL: strdup(cfg_samplePredRefLayerIds[layer].c_str());
     if( m_acLayerCfg[layer].m_numSamplePredRefLayers > 0 )
@@ -2373,7 +2369,5 @@
       pSamplePredRefLayerIds = NULL;
     }
-  }
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
+
     Char* pMotionPredRefLayerIds = cfg_motionPredRefLayerIds[layer].empty() ? NULL: strdup(cfg_motionPredRefLayerIds[layer].c_str());
     if( m_acLayerCfg[layer].m_numMotionPredRefLayers > 0 )
@@ -2410,8 +2404,5 @@
       pMotionPredRefLayerIds = NULL;
     }
-  }
-
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
+
     Char* pPredLayerIds = cfg_predLayerIds[layer].empty() ? NULL: strdup(cfg_predLayerIds[layer].c_str());
     if( m_acLayerCfg[layer].m_numActiveRefLayers > 0 )
@@ -2448,6 +2439,6 @@
       pPredLayerIds = NULL;
     }
-  }
-#endif
+  } //for(Int layer = 0; layer < MAX_LAYERS; layer++)
+
 #if Q0078_ADD_LAYER_SETS
 #if OUTPUT_LAYER_SETS_CONFIG
@@ -4269,5 +4260,4 @@
 
 #if SVC_EXTENSION
-#if VPS_EXTN_DIRECT_REF_LAYERS
   xConfirmPara( (m_acLayerCfg[0].m_numSamplePredRefLayers != 0) && (m_acLayerCfg[0].m_numSamplePredRefLayers != -1), "Layer 0 cannot have any reference layers" );
   // NOTE: m_numSamplePredRefLayers  (for any layer) could be -1 (not signalled in cfg), in which case only the "previous layer" would be taken for reference
@@ -4321,5 +4311,4 @@
     }
   }
-#endif //VPS_EXTN_DIRECT_REF_LAYERS
 
   if( m_adaptiveResolutionChange > 0 )
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 1147)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 1148)
@@ -52,5 +52,5 @@
   Int       m_auxId;
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   Int       *m_samplePredRefLayerIds;
   Int       m_numSamplePredRefLayers;
@@ -59,5 +59,4 @@
   Int       *m_predLayerIds;
   Int       m_numActiveRefLayers;
-#endif
 
 #if LAYER_CTB
@@ -188,5 +187,6 @@
   Int     getIntQP()                  {return m_iQP;              } 
   Int*    getdQPs()                   {return m_aidQP;            }
-#if VPS_EXTN_DIRECT_REF_LAYERS
+#endif
+
   Int     getNumSamplePredRefLayers()    {return m_numSamplePredRefLayers;   }
   Int*    getSamplePredRefLayerIds()     {return m_samplePredRefLayerIds;    }
@@ -199,5 +199,5 @@
   Int*    getPredLayerIds()           {return m_predLayerIds;     }
   Int     getPredLayerIdx(Int i)      {return m_predLayerIds[i];  }
-#endif
+
 #if RC_SHVC_HARMONIZATION
   Bool    getRCEnableRateControl()    {return m_RCEnableRateControl;   }
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1147)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1148)
@@ -338,6 +338,5 @@
     }
 
-#if VPS_EXTN_DIRECT_REF_LAYERS
-    if(layer)
+    if( layer )
     {
       UInt prevLayerIdx = 0;
@@ -442,5 +441,5 @@
       m_acTEncTop[layer].setNumDirectRefLayers(0);
     }
-#endif //VPS_EXTN_DIRECT_REF_LAYERS
+
     //===== Slice ========
 
@@ -1471,5 +1470,5 @@
 #endif
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   // Direct reference layers
   UInt maxDirectRefLayers = 0;
@@ -1547,5 +1546,5 @@
   vps->deriveLayerIdListVariablesForAddLayerSets();
 #endif
-#endif
+
 #if OUTPUT_LAYER_SETS_CONFIG
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1148)
@@ -2023,5 +2023,5 @@
   ::memset(m_outputLayerFlag, 0, sizeof(m_outputLayerFlag));
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   ::memset(m_directDependencyFlag, 0, sizeof(m_directDependencyFlag));
   ::memset(m_numDirectRefLayers,   0, sizeof(m_numDirectRefLayers  ));
@@ -2029,5 +2029,5 @@
   m_directDepTypeLen = 2;
   ::memset(m_directDependencyType, 0, sizeof(m_directDependencyType));
-#endif
+
 #if !NECESSARY_LAYER_FLAG
 #if DERIVE_LAYER_ID_LIST_VARIABLES
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1148)
@@ -660,5 +660,5 @@
 #endif
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   Bool       m_directDependencyFlag[MAX_VPS_LAYER_IDX_PLUS1][MAX_VPS_LAYER_IDX_PLUS1];
   UInt       m_numDirectRefLayers[MAX_VPS_LAYER_IDX_PLUS1];
@@ -668,5 +668,5 @@
   UInt       m_defaultDirectDependencyType;
   UInt       m_directDependencyType[MAX_VPS_LAYER_IDX_PLUS1][MAX_VPS_LAYER_IDX_PLUS1];
-#endif
+
   UInt       m_numProfileTierLevel;
 #if !VPS_EXTN_UEV_CODING
@@ -1022,5 +1022,5 @@
   Void   setOutputLayerFlag(Int layerSet, Int layerIdx, Bool x)  { m_outputLayerFlag[layerSet][layerIdx] = x;    }
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   // Direct dependency of layers
   Bool   getDirectDependencyFlag(Int currLayerIdx, Int refLayerIdx)             { return m_directDependencyFlag[currLayerIdx][refLayerIdx]; }
@@ -1043,5 +1043,5 @@
   Bool   isSamplePredictionType(Int currLayerIdx, Int refLayerIdx)              { assert(currLayerIdx != refLayerIdx); return ( ( m_directDependencyType[currLayerIdx][refLayerIdx] + 1 ) & 1 ) ? true : false; }
   Bool   isMotionPredictionType(Int currLayerIdx, Int refLayerIdx)              { assert(currLayerIdx != refLayerIdx); return ( ( ( m_directDependencyType[currLayerIdx][refLayerIdx] + 1 ) & 2 ) >> 1 ) ? true : false; }
-#endif
+
   UInt   getNumProfileTierLevel()                                { return m_numProfileTierLevel; }
   Void   setNumProfileTierLevel(Int x)                           { m_numProfileTierLevel = x;    }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1148)
@@ -130,5 +130,4 @@
 #define VPS_EXTN_OP_LAYER_SETS           1      ///< Include output layer sets in VPS extension
 #define VPS_EXTN_PROFILE_INFO            1      ///< Include profile information for layer sets in VPS extension
-#define VPS_EXTN_DIRECT_REF_LAYERS       1      ///< Include indication of direct dependency of layers in VPS extension
 
 #define VPS_VUI_TILES_NOT_IN_USE__FLAG   1      ///< JCTVC-O0226: VPS VUI flag to indicate tile not in use
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1148)
@@ -2764,5 +2764,5 @@
 #endif
 #endif // view id related signaling
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   // For layer 0
   vps->setNumDirectRefLayers(0, 0);
@@ -2783,5 +2783,5 @@
     vps->setNumDirectRefLayers(layerId, numDirectRefLayers);
   }
-#endif
+
 #if Q0078_ADD_LAYER_SETS
 #if O0092_0094_DEPENDENCY_CONSTRAINT // Moved here
@@ -3244,5 +3244,4 @@
 #endif
 
-#if VPS_EXTN_DIRECT_REF_LAYERS
   READ_UVLC( uiCode,           "direct_dep_type_len_minus2"); vps->setDirectDepTypeLen(uiCode+2);
 
@@ -3274,5 +3273,5 @@
     }
   }
-#endif
+
 #if !Q0078_ADD_LAYER_SETS
 #if O0092_0094_DEPENDENCY_CONSTRAINT // Moved up
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecGop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecGop.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecGop.cpp	(revision 1148)
@@ -210,5 +210,4 @@
     {
 #if SVC_EXTENSION
-#if VPS_EXTN_DIRECT_REF_LAYERS
       if( pcSlice->getRefPic(RefPicList(iRefList), iRefIndex)->isILR( m_layerId ) )
       {
@@ -224,5 +223,5 @@
         printf ("%d", pcSlice->getRefPOC(RefPicList(iRefList), iRefIndex));
       }
-#endif
+
       if( pcSlice->getEnableTMVPFlag() && iRefList == 1 - pcSlice->getColFromL0Flag() && iRefIndex == pcSlice->getColRefIdx() )
       {
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1148)
@@ -748,7 +748,5 @@
 
 #if SVC_EXTENSION
-#if VPS_EXTN_DIRECT_REF_LAYERS
   setRefLayerParams(m_apcSlicePilot->getVPS());
-#endif
   m_apcSlicePilot->setNumMotionPredRefLayers(m_numMotionPredRefLayers);
 #endif
@@ -1723,9 +1721,5 @@
         else
         {
-#if VPS_EXTN_DIRECT_REF_LAYERS
           TDecTop *pcTDecTop = (TDecTop *)getRefLayerDec( refLayerIdc );
-#else
-          TDecTop *pcTDecTop = (TDecTop *)getLayerDec( m_layerId-1 );
-#endif
           TComList<TComPic*> *cListPic = pcTDecTop->getListPic();
           if( !pcSlice->setBaseColPic ( *cListPic, refLayerIdc ) )
@@ -1735,9 +1729,5 @@
         }
 #else
-#if VPS_EXTN_DIRECT_REF_LAYERS
         TDecTop *pcTDecTop = (TDecTop *)getRefLayerDec( refLayerIdc );
-#else
-        TDecTop *pcTDecTop = (TDecTop *)getLayerDec( m_layerId-1 );
-#endif
         TComList<TComPic*> *cListPic = pcTDecTop->getListPic();
         pcSlice->setBaseColPic ( *cListPic, refLayerIdc );
@@ -1821,18 +1811,10 @@
         else
         {
-#if VPS_EXTN_DIRECT_REF_LAYERS
           TDecTop *pcTDecTop = (TDecTop *)getRefLayerDec( refLayerIdc );
-#else
-          TDecTop *pcTDecTop = (TDecTop *)getLayerDec( m_layerId-1 );
-#endif
           TComList<TComPic*> *cListPic = pcTDecTop->getListPic();
           pcSlice->setBaseColPic ( *cListPic, refLayerIdc );
         }
 #else
-#if VPS_EXTN_DIRECT_REF_LAYERS
         TDecTop *pcTDecTop = (TDecTop *)getRefLayerDec( refLayerIdc );
-#else
-        TDecTop *pcTDecTop = (TDecTop *)getLayerDec( m_layerId-1 );
-#endif
         TComList<TComPic*> *cListPic = pcTDecTop->getListPic();
         pcSlice->setBaseColPic ( *cListPic, refLayerIdc );
@@ -2440,5 +2422,4 @@
 }
 
-#if VPS_EXTN_DIRECT_REF_LAYERS
 TDecTop* TDecTop::getRefLayerDec( UInt refLayerIdx )
 {
@@ -2451,7 +2432,5 @@
   return (TDecTop *)getLayerDec( vps->getRefLayerId( m_layerId, refLayerIdx ) );
 }
-#endif
-
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
 Void TDecTop::setRefLayerParams( TComVPS* vps )
 {
@@ -2479,5 +2458,4 @@
   }
 }
-#endif
 
 #if OUTPUT_LAYER_SET_INDEX
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1148)
@@ -143,10 +143,10 @@
 #endif
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   Int                     m_numDirectRefLayers;
   Int                     m_refLayerId[MAX_VPS_LAYER_IDX_PLUS1];
   Int                     m_numSamplePredRefLayers;
   Int                     m_numMotionPredRefLayers;
-#endif
+
   TComPic*                m_cIlpPic[MAX_NUM_REF];                    ///<  Inter layer Prediction picture =  upsampled picture
 #if OUTPUT_LAYER_SET_INDEX
@@ -243,5 +243,5 @@
   TDecTop*  getLayerDec                     (UInt layerId)                  { return m_ppcTDecTop[layerId];    }
   Void      xDeriveSmallestLayerId(TComVPS* vps);
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   TDecTop*  getRefLayerDec                  (UInt refLayerIdx);
   Int       getNumDirectRefLayers           ()                              { return m_numDirectRefLayers;      }
@@ -258,5 +258,5 @@
 
   Void      setRefLayerParams( TComVPS* vps );
-#endif
+
 #if AVC_BASE
   Void      setBLReconFile( fstream* pFile ) { m_pBLReconFile = pFile; }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1148)
@@ -2067,5 +2067,4 @@
 #endif // VIEW_ID_RELATED_SIGNALING
 
-#if VPS_EXTN_DIRECT_REF_LAYERS
   for( Int layerCtr = 1; layerCtr < vps->getMaxLayers(); layerCtr++)
   {
@@ -2075,5 +2074,5 @@
     }
   }
-#endif
+
 #if Q0078_ADD_LAYER_SETS
   if (vps->getNumIndependentLayers() > 1)
@@ -2311,5 +2310,5 @@
   codeVpsDpbSizeTable(vps);
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   WRITE_UVLC( vps->getDirectDepTypeLen()-2,                           "direct_dep_type_len_minus2");
 
@@ -2333,5 +2332,4 @@
     }
   }
-#endif
 
 #if P0307_VPS_NON_VUI_EXTENSION
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1148)
@@ -378,5 +378,5 @@
   Bool      m_crossLayerBLAFlag;
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   Int       m_numDirectRefLayers;
   Int       m_refLayerId[MAX_VPS_LAYER_IDX_PLUS1];
@@ -390,5 +390,5 @@
   Bool      m_samplePredEnabledFlag[MAX_VPS_LAYER_IDX_PLUS1];
   Bool      m_motionPredEnabledFlag[MAX_VPS_LAYER_IDX_PLUS1];
-#endif
+
   Int       m_maxTidIlRefPicsPlus1;
 #if FAST_INTRA_SHVC
@@ -1032,5 +1032,5 @@
   Void      setUseFastIntraScalable         ( Bool  b )      { m_useFastIntraScalable = b; }
 #endif
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   Int       getNumDirectRefLayers           ()                              { return m_numDirectRefLayers;      }
   Void      setNumDirectRefLayers           (Int num)                       { m_numDirectRefLayers = num;       }
@@ -1062,5 +1062,5 @@
   Bool      getMotionPredEnabledFlag        (Int layerIdx)                  { return m_motionPredEnabledFlag[layerIdx];  }
   Void      setMotionPredEnabledFlag        (Int layerIdx,Bool flag)        { m_motionPredEnabledFlag[layerIdx] = flag;  }
-#endif
+
   Int       getMaxTidIlRefPicsPlus1         ()                              { return m_maxTidIlRefPicsPlus1; }
   Void      setMaxTidIlRefPicsPlus1         (Int num)                       { m_maxTidIlRefPicsPlus1 = num;  }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1148)
@@ -1369,9 +1369,6 @@
         UInt refLayerIdc = pcSlice->getInterLayerPredLayerIdc(i);
         UInt refLayerId = pcSlice->getVPS()->getRefLayerId(m_layerId, refLayerIdc);
-#if VPS_EXTN_DIRECT_REF_LAYERS
         TComList<TComPic*> *cListPic = m_ppcTEncTop[pcSlice->getVPS()->getLayerIdxInVps(m_layerId)]->getRefLayerEnc(refLayerIdc)->getListPic();
-#else
-        TComList<TComPic*> *cListPic = m_ppcTEncTop[pcSlice->getVPS()->getLayerIdxInVps(m_layerId)-1]->getListPic();
-#endif
+
         pcSlice->setBaseColPic( *cListPic, refLayerIdc );
 
@@ -3874,5 +3871,4 @@
     {
 #if SVC_EXTENSION
-#if VPS_EXTN_DIRECT_REF_LAYERS
       if( pcSlice->getRefPic(RefPicList(iRefList), iRefIndex)->isILR(m_layerId) )
       {
@@ -3896,5 +3892,5 @@
 #endif
       }
-#endif
+
       if( pcSlice->getEnableTMVPFlag() && iRefList == 1 - pcSlice->getColFromL0Flag() && iRefIndex == pcSlice->getColRefIdx() )
       {
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1148)
@@ -624,9 +624,5 @@
           Bool zeroPhase = getPPS()->hasZeroResamplingPhase(m_cVPS.getRefLayerId(m_layerId, i));
 
-#if VPS_EXTN_DIRECT_REF_LAYERS
           TEncTop *pcEncTopBase = (TEncTop *)getRefLayerEnc( i );
-#else
-          TEncTop *pcEncTopBase = (TEncTop *)getLayerEnc( m_layerId-1 );
-#endif
 #if O0194_DIFFERENT_BITDEPTH_EL_BL
           UInt refLayerId = m_cVPS.getRefLayerId(m_layerId, i);
@@ -690,9 +686,5 @@
           Bool zeroPhase = getPPS()->hasZeroResamplingPhase(m_cVPS.getRefLayerId(m_layerId, i));
 
-#if VPS_EXTN_DIRECT_REF_LAYERS
           TEncTop *pcEncTopBase = (TEncTop *)getRefLayerEnc( i );
-#else
-          TEncTop *pcEncTopBase = (TEncTop *)getLayerEnc( m_layerId-1 );
-#endif
 #if O0194_DIFFERENT_BITDEPTH_EL_BL
           UInt refLayerId = m_cVPS.getRefLayerId(m_layerId, i);
@@ -1432,5 +1424,4 @@
 
 #if SVC_EXTENSION
-#if VPS_EXTN_DIRECT_REF_LAYERS
 TEncTop* TEncTop::getRefLayerEnc( UInt refLayerIdx )
 {
@@ -1442,5 +1433,4 @@
   return (TEncTop *)getLayerEnc( m_cVPS.getLayerIdxInVps(m_cVPS.getRefLayerId( m_layerId, refLayerIdx )) );
 }
-#endif
 
 #if !REPN_FORMAT_IN_VPS
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 1147)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 1148)
@@ -253,7 +253,7 @@
   Void      encode    ( TComPicYuv* pcPicYuvOrg, const InputColourSpaceConversion snrCSC, TComList<TComPicYuv*>& rcListPicYuvRecOut, std::list<AccessUnit>& accessUnitsOut, Int iPicIdInGOP, Bool isTff );
   Void      encodePrep( TComPicYuv* pcPicYuvOrg, TComPicYuv* pcPicYuvTrueOrg, Bool isTff );
-#if VPS_EXTN_DIRECT_REF_LAYERS
+
   TEncTop*  getRefLayerEnc(UInt refLayerIdx);
-#endif
+
 #if POC_RESET_IDC_ENCODER
   Int       getPocAdjustmentValue()      { return m_pocAdjustmentValue;}