Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1149)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1150)
@@ -1679,7 +1679,5 @@
 #endif
   ("AltOutputLayerFlag",               m_altOutputLayerFlag,                      false, "Specifies the value of alt_output_layer_flag in VPS extension")
-#if O0149_CROSS_LAYER_BLA_FLAG
   ("CrossLayerBLAFlag",                m_crossLayerBLAFlag,                       false, "Specifies the value of cross_layer_bla_flag in VPS")
-#endif
 #if Q0048_CGS_3D_ASYMLUT
   ("CGS",     m_nCGSFlag , 0, "whether CGS is enabled")
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1149)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1150)
@@ -512,20 +512,18 @@
 #endif
   Bool      m_crossLayerAlignedIdrOnlyFlag;
-#if O0149_CROSS_LAYER_BLA_FLAG
   Bool      m_crossLayerBLAFlag;
-#endif
 #if O0194_WEIGHTED_PREDICTION_CGS
   Bool      m_useInterLayerWeightedPred;
 #endif
 #if Q0048_CGS_3D_ASYMLUT
-  Int  m_nCGSFlag;
-  Int  m_nCGSMaxOctantDepth;
-  Int  m_nCGSMaxYPartNumLog2;
-  Int  m_nCGSLUTBit;
+  Int       m_nCGSFlag;
+  Int       m_nCGSMaxOctantDepth;
+  Int       m_nCGSMaxYPartNumLog2;
+  Int       m_nCGSLUTBit;
 #if R0151_CGS_3D_ASYMLUT_IMPROVE
-  Int  m_nCGSAdaptiveChroma;
+  Int       m_nCGSAdaptiveChroma;
 #endif
 #if R0179_ENC_OPT_3DLUT_SIZE
-  Int  m_nCGSLutSizeRDO;
+  Int       m_nCGSLutSizeRDO;
 #endif
 #endif 
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1149)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1150)
@@ -791,7 +791,5 @@
 #endif
     m_acTEncTop[layer].setAltOuputLayerFlag                      ( m_altOutputLayerFlag );
-#if O0149_CROSS_LAYER_BLA_FLAG
     m_acTEncTop[layer].setCrossLayerBLAFlag                      ( m_crossLayerBLAFlag );
-#endif
 #if Q0048_CGS_3D_ASYMLUT
     m_acTEncTop[layer].setCGSFlag                                ( layer == 0 ? 0 : m_nCGSFlag );
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1150)
@@ -127,7 +127,5 @@
 #endif
 , m_bDiscardableFlag              ( false )
-#if O0149_CROSS_LAYER_BLA_FLAG
 , m_bCrossLayerBLAFlag            ( false )
-#endif
 #if POC_RESET_IDC_SIGNALLING
 , m_pocResetIdc                   ( 0 )
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1150)
@@ -2204,7 +2204,5 @@
   Int         m_interLayerPredLayerIdc  [MAX_VPS_LAYER_IDX_PLUS1];
   Bool        m_bDiscardableFlag;
-#if O0149_CROSS_LAYER_BLA_FLAG
   Bool        m_bCrossLayerBLAFlag;
-#endif
 #if POC_RESET_IDC_SIGNALLING
   Int         m_pocResetIdc;
@@ -2539,8 +2537,6 @@
   Bool      getDiscardableFlag  ()                           { return m_bDiscardableFlag;    }
   Void      setDiscardableFlag  (Bool b)                     { m_bDiscardableFlag = b;       }
-#if O0149_CROSS_LAYER_BLA_FLAG
   Bool      getCrossLayerBLAFlag  ()                         { return m_bCrossLayerBLAFlag;  }
   Void      setCrossLayerBLAFlag  (Bool b)                   { m_bCrossLayerBLAFlag = b;     }
-#endif
 
 #if RPL_INIT_N0316_N0082
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1150)
@@ -180,5 +180,4 @@
 #define NUM_OL_FLAGS                     1      ///< JCTVC-P0156 output_layer_flag[ i ][ j ] is signalled for j equal to 0 to NumLayersInIdList[ lsIdx ] inclusive
 #define NO_CLRAS_OUTPUT_FLAG             1
-#define O0149_CROSS_LAYER_BLA_FLAG       1      ///< JCTVC-O0149: signal cross_layer_bla_flag in slice header
 
 #define P0138_USE_ALT_CPB_PARAMS_FLAG    1      ///< JCTVC-P0138: use_alt_cpb_params_flag syntax in buffering period SEI message extension
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1150)
@@ -837,7 +837,7 @@
 
 #if NO_CLRAS_OUTPUT_FLAG
-  if (m_layerId == m_smallestLayerId && m_apcSlicePilot->getRapPicFlag())
-  {
-    if (m_bFirstSliceInSequence)
+  if( m_layerId == m_smallestLayerId && m_apcSlicePilot->getRapPicFlag() )
+  {
+    if( m_bFirstSliceInSequence )
     {
       setNoClrasOutputFlag(true);
@@ -847,14 +847,12 @@
       setNoClrasOutputFlag(true);
     }
-    else if ( m_apcSlicePilot->getBlaPicFlag() )
+    else if( m_apcSlicePilot->getBlaPicFlag() )
     {
       setNoClrasOutputFlag(true);
     }
-#if O0149_CROSS_LAYER_BLA_FLAG
-    else if (m_apcSlicePilot->getIdrPicFlag() && m_apcSlicePilot->getCrossLayerBLAFlag())
+    else if( m_apcSlicePilot->getIdrPicFlag() && m_apcSlicePilot->getCrossLayerBLAFlag() )
     {
       setNoClrasOutputFlag(true);
     }
-#endif
     else
     {
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1150)
@@ -371,11 +371,9 @@
   Int       m_elRapSliceBEnabled;
   Int       m_adaptiveResolutionChange;
-  int       m_layerSwitchOffBegin;
-  int       m_layerSwitchOffEnd;
+  Int       m_layerSwitchOffBegin;
+  Int       m_layerSwitchOffEnd;
   Bool      m_altOutputLayerFlag;
   Int       m_skipPictureAtArcSwitch;
-#if O0149_CROSS_LAYER_BLA_FLAG
   Bool      m_crossLayerBLAFlag;
-#endif
 
   Int       m_numDirectRefLayers;
@@ -1024,8 +1022,6 @@
   Bool      getAltOuputLayerFlag() const                     { return m_altOutputLayerFlag; }
   Void      setAltOuputLayerFlag(Bool b)                     { m_altOutputLayerFlag = b;    }
-#if O0149_CROSS_LAYER_BLA_FLAG
   Bool      getCrossLayerBLAFlag() const                     { return m_crossLayerBLAFlag; }
   Void      setCrossLayerBLAFlag(Bool b)                     { m_crossLayerBLAFlag = b;    }
-#endif
 #if FAST_INTRA_SHVC
   Bool      getUseFastIntraScalable         ()               { return m_useFastIntraScalable; }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1150)
@@ -1195,5 +1195,4 @@
 #endif
 
-#if O0149_CROSS_LAYER_BLA_FLAG
     if( m_layerId == 0 && (getNalUnitType(pocCurr, m_iLastIDR, isField) == NAL_UNIT_CODED_SLICE_IDR_W_RADL || getNalUnitType(pocCurr, m_iLastIDR, isField) == NAL_UNIT_CODED_SLICE_IDR_N_LP) )
     {
@@ -1204,5 +1203,4 @@
       pcSlice->setCrossLayerBLAFlag(false);
     }
-#endif
 
     // Set the nal unit type
@@ -1232,16 +1230,14 @@
         m_pcEncTop->setNoClrasOutputFlag(true);
       }
-#if O0149_CROSS_LAYER_BLA_FLAG
-      else if ((pcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || pcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP) &&
-               pcSlice->getCrossLayerBLAFlag())
+      else if( pcSlice->getCrossLayerBLAFlag() && ( pcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || pcSlice->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP ) )
       {
         m_pcEncTop->setNoClrasOutputFlag(true);
       }
-#endif
       else
       {
         m_pcEncTop->setNoClrasOutputFlag(false);
       }
-      if (m_pcEncTop->getNoClrasOutputFlag())
+
+      if( m_pcEncTop->getNoClrasOutputFlag() )
       {
         for (UInt i = 0; i < m_pcCfg->getNumLayer(); i++)
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1149)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1150)
@@ -1049,10 +1049,10 @@
   m_cPPS.setPPSId( m_iPPSIdCnt );
   m_cPPS.setSPSId( m_iSPSIdCnt );
-#if O0149_CROSS_LAYER_BLA_FLAG
-  if (m_crossLayerBLAFlag)
+
+  if( m_crossLayerBLAFlag )
   {
     m_cPPS.setNumExtraSliceHeaderBits( 3 );
   }
-#endif
+
   m_cPPS.setNumRefLayerLocationOffsets(m_numRefLayerLocationOffsets);
   for(Int i = 0; i < m_cPPS.getNumRefLayerLocationOffsets(); i++)