Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1153)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1154)
@@ -1960,7 +1960,4 @@
 #endif
 , m_numProfileTierLevel       (0)
-#if !VPS_EXTN_UEV_CODING
-, m_moreOutputLayerSetsThanDefaultFlag (false)
-#endif
 , m_numAddOutputLayerSets     (0)
 #if P0295_DEFAULT_OUT_LAYER_IDC
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1153)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1154)
@@ -665,7 +665,4 @@
 
   UInt       m_numProfileTierLevel;
-#if !VPS_EXTN_UEV_CODING
-  Bool       m_moreOutputLayerSetsThanDefaultFlag;
-#endif
   Int        m_numAddOutputLayerSets;
 #if P0295_DEFAULT_OUT_LAYER_IDC
@@ -1033,10 +1030,4 @@
   UInt   getNumProfileTierLevel()                                { return m_numProfileTierLevel; }
   Void   setNumProfileTierLevel(Int x)                           { m_numProfileTierLevel = x;    }
-
-#if !VPS_EXTN_UEV_CODING
-  Bool   getMoreOutputLayerSetsThanDefaultFlag()                 { return m_moreOutputLayerSetsThanDefaultFlag;}
-  Void   setMoreOutputLayerSetsThanDefaultFlag(Bool x)           { m_moreOutputLayerSetsThanDefaultFlag = x   ;}
-#endif
-
   Int    getNumAddOutputLayerSets()                              { return m_numAddOutputLayerSets; }
   Void   setNumAddOutputLayerSets(Int x)                         { m_numAddOutputLayerSets = x   ; }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1153)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1154)
@@ -77,5 +77,4 @@
 
 #define DISCARDABLE_PIC_RPS              1      ///< JCTVC-P0130: Inter-layer RPS and temporal RPS should not contain picture with discardable_flag equal to 1
-#define VPS_EXTN_UEV_CODING              1      ///< JCTVC-P0306: Code some syntax elements as ue(v), and remove some syntax elements that duplicate behaviour
 #define ALIGNED_BUMPING                  1      ///< JCTVC-P0192: Align bumping of pictures in an AU
 #define FIX_ALIGN_BUMPING                1
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1153)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1154)
@@ -2868,10 +2868,6 @@
 #if VPS_EXTN_PROFILE_INFO
   // Profile-tier-level signalling
-#if !VPS_EXTN_UEV_CODING
-  READ_CODE( 10, uiCode, "vps_number_layer_sets_minus1" );     assert( uiCode == (vps->getNumLayerSets() - 1) );
-  READ_CODE(  6, uiCode, "vps_num_profile_tier_level_minus1"); vps->setNumProfileTierLevel( uiCode + 1 );
-#else
   READ_UVLC(  uiCode, "vps_num_profile_tier_level_minus1"); vps->setNumProfileTierLevel( uiCode + 1 );
-#endif
+
   Int const numBitsForPtlIdx = vps->calculateLenOfSyntaxElement( vps->getNumProfileTierLevel() );
 #if !MULTIPLE_PTL_SUPPORT
@@ -2902,18 +2898,4 @@
 #endif
 
-#if !VPS_EXTN_UEV_CODING
-  READ_FLAG( uiCode, "more_output_layer_sets_than_default_flag" ); vps->setMoreOutputLayerSetsThanDefaultFlag( uiCode ? true : false );
-  Int numOutputLayerSets = 0;
-  if(! vps->getMoreOutputLayerSetsThanDefaultFlag() )
-  {
-    numOutputLayerSets = vps->getNumLayerSets();
-  }
-  else
-  {
-    READ_CODE( 10, uiCode, "num_add_output_layer_sets" );          vps->setNumAddOutputLayerSets( uiCode );
-    numOutputLayerSets = vps->getNumLayerSets() + vps->getNumAddOutputLayerSets();
-  }
-#else
-
 #if Q0165_NUM_ADD_OUTPUT_LAYER_SETS
   if( vps->getNumLayerSets() > 1 )
@@ -2934,5 +2916,4 @@
 
   Int numOutputLayerSets = vps->getNumLayerSets() + vps->getNumAddOutputLayerSets();
-#endif
 
 #if P0295_DEFAULT_OUT_LAYER_IDC
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1153)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1154)
@@ -2120,11 +2120,8 @@
 #if VPS_EXTN_PROFILE_INFO
   // Profile-tier-level signalling
-#if !VPS_EXTN_UEV_CODING
-  WRITE_CODE( vps->getNumLayerSets() - 1   , 10, "vps_number_layer_sets_minus1" );     
-  WRITE_CODE( vps->getNumProfileTierLevel() - 1,  6, "vps_num_profile_tier_level_minus1"); 
-#else
   WRITE_UVLC( vps->getNumProfileTierLevel() - 1, "vps_num_profile_tier_level_minus1"); 
+
   Int const numBitsForPtlIdx = vps->calculateLenOfSyntaxElement( vps->getNumProfileTierLevel() );
-#endif
+
 #if LIST_OF_PTL
 #if MULTIPLE_PTL_SUPPORT
@@ -2150,12 +2147,4 @@
 #endif
 
-#if !VPS_EXTN_UEV_CODING
-  Int numOutputLayerSets = vps->getNumOutputLayerSets() ;
-  WRITE_FLAG(  (numOutputLayerSets > vps->getNumLayerSets()), "more_output_layer_sets_than_default_flag" ); 
-  if(numOutputLayerSets > vps->getNumLayerSets())
-  {
-    WRITE_CODE( numOutputLayerSets - vps->getNumLayerSets(), 10, "num_add_output_layer_sets" );
-  }
-#else
   Int numOutputLayerSets = vps->getNumOutputLayerSets();
   Int numAddOutputLayerSets = numOutputLayerSets - (Int)vps->getNumLayerSets();
@@ -2172,5 +2161,4 @@
 #else
   WRITE_UVLC( numOutputLayerSets - vps->getNumLayerSets(), "num_add_output_layer_sets" );
-#endif
 #endif
 