Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1160)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1161)
@@ -1989,10 +1989,9 @@
   }
 
-#if VPS_EXTN_MASK_AND_DIM_INFO
   m_nonHEVCBaseLayerFlag = false;
   m_splittingFlag = false;
+  m_nuhLayerIdPresentFlag = false;
   ::memset(m_scalabilityMask, 0, sizeof(m_scalabilityMask));
   ::memset(m_dimensionIdLen, 0, sizeof(m_dimensionIdLen));
-  m_nuhLayerIdPresentFlag = false;
   ::memset(m_layerIdInNuh, 0, sizeof(m_layerIdInNuh));
   ::memset(m_dimensionId, 0, sizeof(m_dimensionId));
@@ -2000,5 +1999,5 @@
   m_numScalabilityTypes = 0;
   ::memset(m_layerIdxInVps, 0, sizeof(m_layerIdxInVps));
-#endif
+
 #if VPS_EXTN_PROFILE_INFO
   ::memset(m_profilePresentFlag, 0, sizeof(m_profilePresentFlag));
@@ -3130,5 +3129,4 @@
 }
 
-#if DERIVE_LAYER_ID_LIST_VARIABLES
 Void TComVPS::deriveLayerIdListVariables()
 {
@@ -3151,5 +3149,5 @@
   }
 }
-#endif
+
 #if VPS_DPB_SIZE_TABLE
 Void TComVPS::deriveNumberOfSubDpbs()
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1160)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1161)
@@ -596,5 +596,4 @@
   TComPTL     m_pcPTLList[MAX_NUM_LAYER_IDS + 1];
 #endif
-#if DERIVE_LAYER_ID_LIST_VARIABLES
 #if Q0078_ADD_LAYER_SETS
   std::vector< std::vector<Int> >     m_layerSetLayerIdList;
@@ -603,5 +602,4 @@
   Int         m_layerSetLayerIdList[MAX_VPS_LAYER_SETS_PLUS1][MAX_VPS_LAYER_IDX_PLUS1];
   Int         m_numLayerInIdList[MAX_VPS_LAYER_SETS_PLUS1];
-#endif
 #endif
   UInt        m_maxLayerId;
@@ -617,5 +615,4 @@
   // Variables related to VPS extensions
   // ------------------------------------------
-#if VPS_EXTN_MASK_AND_DIM_INFO
   Bool       m_nonHEVCBaseLayerFlag; 
   Bool       m_splittingFlag;
@@ -629,5 +626,5 @@
   UInt       m_numScalabilityTypes;
   UInt       m_layerIdxInVps[MAX_NUM_LAYER_IDS];            // Maps layer_id_in_nuh with the layer ID in the VPS
-#endif
+
 #if Q0078_ADD_LAYER_SETS
   UInt       m_maxSLInLayerSetMinus1[MAX_VPS_LAYER_SETS_PLUS1 + MAX_NUM_ADD_LAYER_SETS];
@@ -901,13 +898,11 @@
   TComPTL* getPTL(UInt idx) { return &m_pcPTLList[idx]; }
 #endif
-#if DERIVE_LAYER_ID_LIST_VARIABLES
   Int     getLayerSetLayerIdList(Int set, Int layerId)          { return m_layerSetLayerIdList[set][layerId]; }
   Void    setLayerSetLayerIdList(Int set, Int layerId, Int x)   { m_layerSetLayerIdList[set][layerId] = x;    }
 
-  Int     getNumLayersInIdList(Int set)                          { return m_numLayerInIdList[set]; }
-  Void    setNumLayersInIdList(Int set, Int x)                   { m_numLayerInIdList[set] = x;    }
+  Int     getNumLayersInIdList(Int set)                         { return m_numLayerInIdList[set]; }
+  Void    setNumLayersInIdList(Int set, Int x)                  { m_numLayerInIdList[set] = x;    }
 
   Void    deriveLayerIdListVariables();
-#endif
 #if VPS_DPB_SIZE_TABLE
 Void      deriveNumberOfSubDpbs();
@@ -946,5 +941,5 @@
   UInt    getNumLayerSets()                                     { return m_numLayerSets; }
   Void    setNumLayerSets(UInt v)                               { m_numLayerSets = v;    }
-#if VPS_EXTN_MASK_AND_DIM_INFO
+
   Bool   getNonHEVCBaseLayerFlag()                              { return m_nonHEVCBaseLayerFlag;   }
   Void   setNonHEVCBaseLayerFlag(Bool x)                        { m_nonHEVCBaseLayerFlag = x;      }
@@ -973,5 +968,5 @@
   UInt   getLayerIdxInVps(Int layerId)                          { return m_layerIdxInVps[layerId];     }
   Void   setLayerIdxInVps(Int layerId, UInt layerIdx)           { m_layerIdxInVps[layerId] = layerIdx; }
-#endif
+
   UInt   getMaxSLayersInLayerSetMinus1(Int ls)                  { return m_maxSLInLayerSetMinus1[ls]; }
   Void   setMaxSLayersInLayerSetMinus1(Int ls, Int x)           { m_maxSLInLayerSetMinus1[ls] = x;    }
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1160)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1161)
@@ -116,8 +116,4 @@
 #define P0297_VPS_POC_LSB_ALIGNED_FLAG   1      ///< JCTVC-P0297: vps_poc_lsb_aligned_flag for cross-layer POC anchor picture derivation
 
-#define VPS_EXTN_MASK_AND_DIM_INFO       1      ///< Include avc_base_layer_flag, splitting_flag, scalability mask and dimension related info
-#if VPS_EXTN_MASK_AND_DIM_INFO
-#define MAX_VPS_NUM_SCALABILITY_TYPES    16
-#endif
 #define VPS_EXTN_OP_LAYER_SETS           1      ///< Include output layer sets in VPS extension
 #define VPS_EXTN_PROFILE_INFO            1      ///< Include profile information for layer sets in VPS extension
@@ -132,6 +128,4 @@
 #endif 
 #define P0182_VPS_VUI_PS_FLAG            1      ///< JCTVC-P0182, add base_layer_parameter_set_compatibility_flag
-
-#define DERIVE_LAYER_ID_LIST_VARIABLES   1      ///< Derived variables based on the variables in VPS - for use in syntax table parsing
 
 #define AVC_BASE                         1      ///< YUV BL reading for AVC base SVC
@@ -226,4 +220,5 @@
 #define MAX_NUM_ADD_LAYER_SETS           1023
 #define MAX_SEIS_IN_BSP_NESTING          64
+#define MAX_VPS_NUM_SCALABILITY_TYPES    16
 
 #endif // SVC_EXTENSION