Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1162)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1163)
@@ -789,9 +789,5 @@
 #endif
 #endif
-
-#if P0182_VPS_VUI_PS_FLAG
   UInt       m_baseLayerPSCompatibilityFlag[MAX_LAYERS];
-#endif
-
 #if P0307_VPS_NON_VUI_EXTENSION
   Int        m_vpsNonVuiExtLength;
@@ -1177,11 +1173,8 @@
 #endif
 #endif
-#if P0182_VPS_VUI_PS_FLAG
-  Void   setBaseLayerPSCompatibilityFlag (Int layer, int val)        { m_baseLayerPSCompatibilityFlag[layer] = val; }
-  Int    getBaseLayerPSCompatibilityFlag (Int layer)   { return m_baseLayerPSCompatibilityFlag[layer];}
-#endif
-
-  Bool   getAltOuputLayerFlag(Int idx)         { return m_altOutputLayerFlag[idx]; }
-  Void   setAltOuputLayerFlag(Int idx, Bool x) { m_altOutputLayerFlag[idx] = x;    }
+  Void   setBaseLayerPSCompatibilityFlag (Int layer, int val)   { m_baseLayerPSCompatibilityFlag[layer] = val; }
+  Int    getBaseLayerPSCompatibilityFlag (Int layer)            { return m_baseLayerPSCompatibilityFlag[layer];}
+  Bool   getAltOuputLayerFlag(Int idx)                          { return m_altOutputLayerFlag[idx]; }
+  Void   setAltOuputLayerFlag(Int idx, Bool x)                  { m_altOutputLayerFlag[idx] = x;    }
 
 #if REPN_FORMAT_IN_VPS
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1162)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1163)
@@ -126,5 +126,4 @@
 #define VPS_VUI_VIDEO_SIGNAL_MOVE        1      ///< JCTVC-P0076 Move video signal information syntax structure earlier in the VPS VUI
 #endif 
-#define P0182_VPS_VUI_PS_FLAG            1      ///< JCTVC-P0182, add base_layer_parameter_set_compatibility_flag
 
 #define AVC_BASE                         1      ///< YUV BL reading for AVC base SVC
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1162)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1163)
@@ -3759,6 +3759,6 @@
   }
 #endif
-#if P0182_VPS_VUI_PS_FLAG
-  for(i = 1; i < vps->getMaxLayers(); i++)
+
+  for( i = 1; i < vps->getMaxLayers(); i++ )
   {
     if (vps->getNumRefLayers(vps->getLayerIdInNuh(i)) == 0)
@@ -3772,5 +3772,4 @@
     }
   }
-#endif
 }
 
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1162)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1163)
@@ -607,5 +607,4 @@
     }
 
-#if P0182_VPS_VUI_PS_FLAG
     UInt layerIdx = activeVPS->getLayerIdxInVps( m_layerId );
 
@@ -627,5 +626,4 @@
       assert( repFormat->getConformanceWindowVps().getWindowBottomOffset() == sps->getConformanceWindow().getWindowBottomOffset() );
     }    
-#endif
   }
 
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1162)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1163)
@@ -2624,6 +2624,6 @@
     }
 #endif
-#if P0182_VPS_VUI_PS_FLAG
-    for(i = 1; i < vps->getMaxLayers(); i++)
+
+    for( i = 1; i < vps->getMaxLayers(); i++ )
     {
       if( vps->getNumRefLayers(vps->getLayerIdInNuh(i)) == 0 ) 
@@ -2632,5 +2632,4 @@
       }
     }
-#endif
 }
 
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1162)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1163)
@@ -1509,5 +1509,4 @@
     }
 
-#if P0182_VPS_VUI_PS_FLAG
     if( m_cVPS.getNumRefLayers( m_layerId ) == 0 )
     {
@@ -1535,5 +1534,4 @@
       }
     }
-#endif
   }
 }